| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
Fast DDS Quality of Service (QoS) Module.
eProsima Fast DDS API Reference » DDS Public API

QOS class used to define the public entities that the user should use to control this library. More...

Collaboration diagram for Fast DDS Quality of Service (QoS) Module.:

## Topics

| Deadline Module
| This module contains the classes associated with the DEADLINE QoS.

## Classes

class | DomainParticipantFactoryQos
| Class DomainParticipantFactoryQos, contains all the possible Qos that can be set for a determined participant. More...
class | DomainParticipantQos
| Class DomainParticipantQos, contains all the possible Qos that can be set for a determined participant. More...
class | DataWriterQos
| Class DataWriterQos, containing all the possible Qos that can be set for a determined DataWriter. More...
class | PublisherQos
| Class PublisherQos, containing all the possible Qos that can be set for a determined Publisher. More...
class | DataReaderQos
| Class DataReaderQos, containing all the possible Qos that can be set for a determined DataReader. More...
class | SubscriberQos
| Class SubscriberQos, contains all the possible Qos that can be set for a determined Subscriber. More...
class | TopicQos
| Class TopicQos, containing all the possible Qos that can be set for a determined Topic. More...

## Functions

| FASTDDS_TODO_BEFORE (4, 0, "Remove this class in favor of PublicationBuiltinTopicData")
| Class WriterQos, containing all the possible Qos that can be set for a determined Publisher.
| FASTDDS_TODO_BEFORE (4, 0, "Remove this class in favor of SubscriptionBuiltinTopicData")
| Class ReaderQos, contains all the possible Qos that can be set for a determined Subscriber.

## Detailed Description

QOS class used to define the public entities that the user should use to control this library.

## Function Documentation

## ◆ FASTDDS_TODO_BEFORE() [1/2]

FASTDDS_TODO_BEFORE | ( | 4 | ,
|  | 0 | ,
|  | "Remove this class in favor of PublicationBuiltinTopicData" | )

Class WriterQos, containing all the possible Qos that can be set for a determined Publisher.

Although these values can be set and are transmitted during the Endpoint Discovery Protocol, not all of the behaviour associated with them has been implemented in the library. Please consult each of them to check for implementation details and default values.

## ◆ FASTDDS_TODO_BEFORE() [2/2]

FASTDDS_TODO_BEFORE | ( | 4 | ,
|  | 0 | ,
|  | "Remove this class in favor of SubscriptionBuiltinTopicData" | )

Class ReaderQos, contains all the possible Qos that can be set for a determined Subscriber.

Although these values can be set and are transmitted during the Endpoint Discovery Protocol, not all of the behaviour associated with them has been implemented in the library. Please consult each of them to check for implementation details and default values.